USB_IFNUM_TO_IF(9)

NAME
usb_ifnum_to_if - get the interface object with a given interface number

SYNOPSIS

struct usb_interface * usb_ifnum_to_if (struct usb_device * dev, unsigned ifnum);

ARGUMENTS

dev the device whose current configuration is considered

ifnum
    the desired interface

DESCRIPTION

This walks the device descriptor for the currently active configuration and returns a pointer to the interface with that particular interface number, or null.

Note that configuration descriptors are not required to assign interface numbers sequentially, so that it would be incorrect to assume that the first interface in that descriptor corresponds to interface zero. This routine helps device drivers avoid such mistakes. However, you should make sure that you do the right thing with any alternate settings available for this interfaces.

Don't call this function unless you are bound to one of the interfaces on this device or you have locked the device!